package com.jobs.controller;

import com.jobs.service.AccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/account")
@RestController
public class AccountController {

    @Autowired
    private AccountService accountService;

    @GetMapping("/minus/{uid}/{money}")
    public ResponseEntity<String> minusMoney(@PathVariable("uid") String uid,
                                             @PathVariable("money") Integer money) {
        accountService.minusMoney(uid, money);
        return ResponseEntity.ok("减钱成功");
    }
}
